Skip to content
GET /property-insight

Get property insights

Description

Get community insights and market analysis for a specific location.

Parameters

Name Type Required Description Example
location_id string Required - Location ID (Community ID) - Example: `51` 51

Code Examples

curl --request GET \
  --url 'https://propertyfinder-uae-data.p.rapidapi.com/property-insight?location_id=51' \
  --header 'x-rapidapi-host: propertyfinder-uae-data.p.rapidapi.com' \
  --header 'x-rapidapi-key: YOUR_API_KEY'

Example Response

Response
{
  "success": true,
  "data": {
    "attributes": {
      "id": 50,
      "name": "Dubai Marina",
      "location_type": "community",
      "average_price": 2000000
    }
  }
}

Try this endpoint now

Subscribe to PropertyfinderAPI on RapidAPI and start making requests in minutes.